Bug 138621 - X11 problem running system-config-display over ssh
Summary: X11 problem running system-config-display over ssh
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-display   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-10 11:00 UTC by kb
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-11 21:45:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description kb 2004-11-10 11:00:45 UTC
Description of problem:
[root@computer ~]# system-config-display

The program 'system-config-display' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadWindow (invalid Window parameter)'.
  (Details: serial 66 error_code 3 request_code 25 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error()
function.)


Version-Release number of selected component (if applicable):


How reproducible:
1. log in as root using ssh:
ssh localhost -X -C -l root
try to run: system-config-display


Actual results:
does not work

Expected results:
should work

Additional info:
works well if i start system-config-display as a non root user and
give the root password when asked.

Comment 1 kb 2004-11-10 17:29:10 UTC
seems to work if i use:
ssh localhost -Y -C -l root


-Y instead of -X

this can be closed, if nothing other of interest is found.

Comment 2 Paul Nasrat 2004-11-11 21:45:11 UTC
This is documented in the release notes:

"The behavior of ssh clients that are invoked with the -X flag has
changed.

In OpenSSH 3.8 and later, X11 forwarding is performed in a way that
applications run as untrusted clients by default. Previously, X11
forwarding was performed so that applications always ran as trusted
clients. Some applications may not function properly when run as
untrusted clients. To forward X11 so that applications are run as
trusted clients, invoke ssh with the -Y flag instead of the -X flag,
or set ForwardX11Trusted in the ~/.ssh/config file."



Note You need to log in before you can comment on or make changes to this bug.